be.ehealth.technicalconnector.service.timestamp

## Interface ConsultServiceV2

- All Known Implementing Classes:
    ConsultServiceV2Impl

      public interface ConsultServiceV2

  The Consult Service offers 2 distinct operations:
  - Get Time Stamp: This service retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.
  - Check Completeness: Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times). Default impl : `ConsultServiceV2Impl`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TSConsultResponse` | `checkCompleteness(X509Certificate certificate, PrivateKey privateKey, TSConsultRequest request)` Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).
    `TSConsultTSBagResponse` | `getTimestamp(X509Certificate certificate, PrivateKey privateKey, TSConsultTSBagRequest request)` Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.

- - ### Method Detail

    - #### getTimestamp

          TSConsultTSBagResponse getTimestamp(X509Certificate certificate,
                                              PrivateKey privateKey,
                                              TSConsultTSBagRequest request)
                                       throws TechnicalConnectorException

      Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.
      Parameters:
        `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
        `privateKey` - Private key, linked to the X.509 certificate mentioned above.
        `request` - Request message for the Get Time Stamp operation.
      Returns:
        the timestamp Response from the Get Time Stamp operation. The data about the referenced Timestamp Bag is returned
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### checkCompleteness

          TSConsultResponse checkCompleteness(X509Certificate certificate,
                                              PrivateKey privateKey,
                                              TSConsultRequest request)
                                       throws TechnicalConnectorException

      Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).
      Parameters:
        `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
        `privateKey` - Private key, linked to the X.509 certificate mentioned above.
        `request` - Request message for the Check Completeness operation.
      Returns:
        the TS consult response Response message for the Check Completeness operation.
      Throws:
        `TechnicalConnectorException` - the technical connector exception

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.